* UP1SEL.CMD
USE APEXMAIL INDEX MAILZIP
STORE " " TO PASS1
STORE " " TO PASS2
STORE " " TO PASS3
STORE " " TO PASS4
STORE " " TO PASS5
STORE " " TO PASS6
STORE " " TO HOLDER
STORE 1 TO COUNTER
SET FORMAT TO SELECTMN
READ
SET CONSOLE OFF
SET TALK OFF
SET RAW ON
DO PRINTLBL
SET PRINT ON
IF PASS1 = " " .AND. PASS2 = " " .AND. PASS3 = " " .AND. PASS4 = " ";
.AND. PASS5 = " " .AND. PASS6 = " "
SET TALK ON
SET CONSOLE ON
DO PRINTOFF
SET PRINT OFF
SET RAW OFF
RETURN
ENDIF
DO WHILE COUNTER < 7
DO CASE
CASE COUNTER =  1
STORE PASS1 TO HOLDER
CASE COUNTER =  2
STORE PASS2 TO HOLDER
CASE COUNTER =  3
STORE PASS3 TO HOLDER
CASE COUNTER =  4
STORE PASS4 TO HOLDER
CASE COUNTER =  5
STORE PASS5 TO HOLDER
CASE COUNTER =  6
STORE PASS6 TO HOLDER
ENDCASE
IF HOLDER <> " "
DO WHILE .NOT. EOF
IF GROUP = HOLDER
? ATTENTION
? COMPANY
? ADDRESS1
? ADDRESS2
? TRIM(CITY) + ", " + STATE + "  " + ZIP
?
ENDIF
SKIP
ENDDO
ENDIF
STORE COUNTER + 1 TO COUNTER
STORE " " TO HOLDER
GO TOP
ENDDO
SET PRINT OFF
DO PRINTOFF
SET RAW ON
SET TALK ON
SET CONSOLE ON
RETURN
